Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Class CategoryInfo

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.service.category.CategoryInfo

public class CategoryInfo
extends Object

Internal implementation class. I

Constructor Summary
`CategoryInfo(Category category, CategoryKey[] subCategoryKeys, CategoryKey[] ancestorKeys, CategoryKey[] siblingKeys, ProductItemKey[] itemKeys, CategoryKey parentKey)` Internal implementation class.

Method Summary
`CategoryKey[]` | `getAncestorKeys()` Internal implementation class.
`Category` | `getCategory()` Internal implementation class.
`ProductItemKey[]` | `getItemKeys()` Internal implementation class.
`CategoryKey` | `getParentKey()` Internal implementation class.
`CategoryKey[]` | `getSiblingKeys()` Internal implementation class.
`CategoryKey[]` | `getSubCategoryKeys()` Internal implementation class.
`void` | `setItemKeys(ProductItemKey[] newKeys)` Setter to enable itemKeys list to be built only when they are needed, which may occur after the CategoryInfo object has been constructed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CategoryInfo

    public CategoryInfo(Category category,
                        CategoryKey[] subCategoryKeys,
                        CategoryKey[] ancestorKeys,
                        CategoryKey[] siblingKeys,
                        ProductItemKey[] itemKeys,
                        CategoryKey parentKey)

  Internal implementation class. I

Method Detail

### getAncestorKeys

    public CategoryKey[] getAncestorKeys()

  Internal implementation class. I

### getCategory

    public Category getCategory()

  Internal implementation class. I

### getItemKeys

    public ProductItemKey[] getItemKeys()

  Internal implementation class. I

### getParentKey

    public CategoryKey getParentKey()

  Internal implementation class. I

### getSiblingKeys

    public CategoryKey[] getSiblingKeys()

  Internal implementation class. I

### getSubCategoryKeys

    public CategoryKey[] getSubCategoryKeys()

  Internal implementation class. I

### setItemKeys

    public void setItemKeys(ProductItemKey[] newKeys)

  Setter to enable itemKeys list to be built only when they are needed, which may occur after the CategoryInfo object has been constructed. see CR097190

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2005 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 BEA Systems, Inc. All Rights Reserved